import * as $dara from '@darabonba/typescript';
export declare class AssociateRouteTableWithGatewayResponseBody extends $dara.Model {
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * F89C2176-8F10-55EF-90CF-CF99D1E3F816
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
